/* Abstruct class header files*/
//#include "License/License.h"
#include "CellsException.h"
#include "Factory.h"
#include "IAboveAverage.h"
#include "IAutoFilter.h"
#include "IBorder.h"
#include "IBorderCollection.h"
#include "IBuiltInDocumentPropertyCollection.h"
#include "ICalculationOptions.h"
#include "ICell.h"
#include "ICellArea.h"
#include "ICells.h"
#include "ICellsColor.h"
#include "ICellsHelper.h"
#include "IColorScale.h"
#include "IColumn.h"
#include "IColumnCollection.h"
#include "IConditionalFormattingCollection.h"
#include "IConditionalFormattingIcon.h"
#include "IConditionalFormattingIconCollection.h"
#include "IConditionalFormattingResult.h"
#include "IConditionalFormattingValue.h"
#include "IConditionalFormattingValueCollection.h"
#include "IContentTypeProperty.h"
#include "IContentTypePropertyCollection.h"
#include "ICopyOptions.h"
#include "ICustomDocumentPropertyCollection.h"
#include "ICustomFunction.h"//has before
#include "ICustomProperty.h"
#include "ICustomPropertyCollection.h"
#include "IDataBar.h"
#include "IDataBarBorder.h"
#include "IDataSorter.h"
#include "IDocumentProperty.h"
#include "IDocumentPropertyCollection.h"
#include "IErrorCheckOption.h"
#include "IErrorCheckOptionCollection.h"
#include "IExternalLink.h"
#include "IExternalLinkCollection.h"
#include "IFileFormatInfo.h"
#include "IFileFormatUtil.h"
#include "IFindOptions.h"
#include "IFont.h"
#include "IFontSetting.h"
#include "IFormatCondition.h"
#include "IFormatConditionCollection.h"
#include "IHorizontalPageBreak.h"
#include "IHorizontalPageBreakCollection.h"
#include "IHyperlink.h"
#include "IHyperlinkCollection.h"
#include "IIconSet.h"
#include "ILightCellsDataHandler.h"///
#include "IListColumn.h"
#include "IListColumnCollection.h"
#include "IListObject.h"
#include "IListObjectCollection.h"
#include "ILoadDataOption.h"
#include "ILoadOptions.h"

#include "IMetadataOptions.h"
#include "IName.h"
#include "INameCollection.h"
#include "INegativeBarFormat.h"
#include "IOoxmlSaveOptions.h"
#include "IOutline.h"
#include "IPageSetup.h"
#include "IPaneCollection.h"
#include "IPasteOptions.h"
#include "IPivotField.h"
#include "IPivotFieldCollection.h"
#include "IPivotFilter.h"
#include "IPivotFilterCollection.h"
#include "IPivotFormatCondition.h"
#include "IPivotFormatConditionCollection.h"
#include "IPivotItem.h"
#include "IPivotItemCollection.h"
#include "IPivotPageFields.h"
#include "IPivotTable.h"
#include "IPivotTableCollection.h"
#include "IProtectedRange.h"///
#include "IProtectedRangeCollection.h"///
#include "IProtection.h"
#include "IRange.h"
#include "IRangeCollection.h"
#include "IReferredArea.h"
#include "IReferredAreaCollection.h"
#include "IReplaceOptions.h"
#include "IRow.h"
#include "IRowCollection.h"
#include "ISaveOptions.h"
#include "IScenario.h"
#include "IScenarioCollection.h"
#include "IScenarioInputCell.h"
#include "IScenarioInputCellCollection.h"
#include "ISpreadsheetML2003SaveOptions.h"
#include "IStyle.h"
#include "IStyleCollection.h"
#include "IStyleFlag.h"
#include "ISxRng.h"
#include "IThemeColor.h"
#include "ITop10.h"
#include "IValidation.h"
#include "IValidationCollection.h"
#include "IVerticalPageBreak.h"
#include "IVerticalPageBreakCollection.h"
#include "IWorkbook.h"
#include "IWorkbookMetadata.h"
#include "IWorkbookSettings.h"
#include "IWorksheet.h"
#include "IWorksheetCollection.h"
#include "IWriteProtection.h"
#include "AutoShapeType.h"

#include "BackgroundMode.h"
#include "BackgroundType.h"
#include "Bar3DShapeType.h"
#include "BevelPresetType.h"
#include "BorderType.h"
#include "BubbleSizeRepresents.h"
#include "BuiltinStyleType.h"

#include "CalcModeType.h"
#include "CalculationPrecisionStrategy.h"
#include "CategoryType.h"
#include "CellBorderType.h"
#include "CellValueFormatStrategy.h"
#include "CellValueType.h"
#include "ChartMarkerType.h"
#include "ChartSplitType.h"
#include "ChartType.h"
#include "ColorType.h"
#include "ConsolidationFunction.h"
#include "CountryCode.h"
#include "CrossType.h"


#include "DataBarAxisPosition.h"
#include "DataBarBorderType.h"
#include "DataBarFillType.h"
#include "DataBarNegativeColorType.h"
#include "DataLablesSeparatorType.h"
#include "DateTimeGroupingType.h"
#include "DirectoryType.h"
#include "DisplayDrawingObjects.h"
#include "DisplayUnitType.h"
#include "DynamicFilterType.h"

#include "ErrorBarType.h"
#include "ErrorBarDisplayType.h"
#include "ErrorCheckType.h"
#include "ExceptionType.h"

#include "FileFormatType.h"
#include "FillPattern.h"
#include "FillPictureType.h"
#include "FillType.h"
#include "FilterOperatorType.h"
#include "FontUnderlineType.h"
#include "FormatConditionType.h"
#include "FormatConditionValueType.h"
#include "FormatSetType.h"
#include "FormattingType.h"

#include "GradientColorType.h"
#include "GradientPresetType.h"
#include "GradientStyleType.h"
#include "GradientStyleType.h"

#include "HeaderFooterCommandType.h"
#include "IconSetType.h"


#include "LabelPositionType.h"
#include "LegendPositionType.h"
#include "LoadDataFilterOptions.h"
#include "LoadFormat.h"
#include "LookAtType.h"
#include "LookInType.h"
#include "MemorySetting.h"
#include "MetadataType.h"
#include "MsoArrowheadStyle.h"
#include "MsoDrawingType.h"
#include "MsoPresetTextEffect.h"
#include "NumberCategoryType.h"
#include "OperatorType.h"

#include "PageOrientationType.h"
#include "PaperSizeType.h"
#include "ParameterType.h"
#include "PasteType.h"
#include "PivotConditionFormatRuleType.h"
#include "PivotConditionFormatScopeType.h"
#include "PivotFieldDataDisplayFormat.h"
#include "PivotFieldSubtotalType.h"
#include "PivotFieldType.h"
#include "PivotFilterType.h"
#include "PivotGroupByType.h"//testcase needs
#include "PivotItemPosition.h"
#include "PivotMissingItemLimitType.h"
#include "PivotTableAutoFormatType.h"
#include "PivotTableStyleType.h"
#include "PlacementType.h"
#include "PlotEmptyCellsType.h"
#include "PrintCommentsType.h"
#include "PrintErrorsType.h"
#include "PrintOrderType.h"
#include "PropertyType.h"
#include "ProtectionType.h"


#include "RectangleAlignmentType.h"
#include "SaveFormat.h"
#include "SelectionType.h"
#include "SheetType.h"
#include "ShiftType.h"
#include "SortOrder.h"
#include "SparklineType.h"
#include "StyleModifyFlag.h"

#include "TableDataSourceType.h"
#include "TableStyleType.h"
#include "TextAlignmentType.h"
#include "TextCapsType.h"
#include "TextDirectionType.h"
#include "TextDirectionType.h"
#include "TextNodeType.h"
#include "TextStrikeType.h"
#include "TextureType.h"
#include "ThemeColorType.h"
#include "TickMarkType.h"
#include "TickLabelPositionType.h"
#include "TimePeriodType.h"
#include "TimeUnit.h"
#include "TotalsCalculation.h"
#include "TrendlineType.h"
#include "TxtLoadStyleStrategy.h"///
#include "TxtValueQuoteType.h"


#include "UpdateLinksType.h"
#include "ValidationAlertType.h"
#include "ValidationType.h"
#include "ViewType.h"
#include "VisibilityType.h"
#include "WeightType.h"

/*System lib header files*/
#include "System/ApplicationException.h"
#include "System/ArgumentException.h"
#include "System/ArgumentNullException.h"
#include "System/ArgumentOutOfRangeException.h"
#include "System/ArithmeticException.h"
#include "System/Array.h"
#include "System/Array1D.h"
#include "System/Array2D.h"
#include "System/ArrayHelper.h"
#include "System/Base64FormattingOptions.h"
#include "System/BaseNumber.h"
#include "System/BitConverter.h"
#include "System/Boolean.h"
#include "System/BooleanHelper.h"
#include "System/Boxing.h"
#include "System/Byte.h"
#include "System/ByteHelper.h"
#include "System/Char.h"
#include "System/CharHelper.h"
#include "System/Collections/ArrayList.h"
#include "System/Collections/ArrayListEnumeratorSimple.h"
#include "System/Collections/CollectionBase.h"
#include "System/Collections/Comparer.h"
#include "System/Collections/DictionaryEntry.h"
#include "System/Collections/HashCodeHelper.h"
#include "System/Collections/HashHelpers.h"
#include "System/Collections/Hashtable.h"
#include "System/Collections/ICollection.h"
#include "System/Collections/IComparer.h"
#include "System/Collections/IDictionary.h"
#include "System/Collections/IDictionaryEnumerator.h"
#include "System/Collections/IEnumerable.h"
#include "System/Collections/IEnumerator.h"
#include "System/Collections/IEqualityComparer.h"
#include "System/Collections/IList.h"
#include "System/Collections/KeyValuePairs.h"
#include "System/Collections/SortedList.h"
#include "System/Collections/Sorter.h"
#include "System/Collections/Specialized/CollectionsUtil.h"
#include "System/Collections/Stack.h"
#include "System/Collections/StackEnumerator.h"
#include "System/Collections/SyncHashtable.h"
#include "System/Collections/SyncStack.h"
#include "System/Console.h"
#include "System/Convert.h"
#include "System/DateTime.h"
#include "System/DateTimeKind.h"
#include "System/DateTimeParse.h"
#include "System/DateTimeResult.h"
#include "System/DayOfWeek.h"
#include "System/Decimal.h"
#include "System/DecimalHelper.h"
#include "System/Diagnostics/Debug.h"
#include "System/Double.h"
#include "System/DoubleHelper.h"
#include "System/Environment.h"
#include "System/Exception.h"
#include "System/FormatException.h"
#include "System/GC.h"
#include "System/Globalization/CalendarAlgorithmType.h"
#include "System/Globalization/CalendarC.h"
#include "System/Globalization/CalendarId.h"
#include "System/Globalization/CalendarWeekRule.h"
#include "System/Globalization/CompareOptions.h"
#include "System/Globalization/CountryCodeC.h"
#include "System/Globalization/CultureInfo.h"
#include "System/Globalization/CultureNotFoundException.h"
#include "System/Globalization/DateTimeFormatFlags.h"
#include "System/Globalization/DateTimeFormatInfo.h"
#include "System/Globalization/DateTimeStyles.h"
#include "System/Globalization/DigitShapes.h"
#include "System/Globalization/FORMATFLAGS.h"
#include "System/Globalization/GregorianCalendarTypes.h"
#include "System/Globalization/HebrewNumberParsingState.h"
#include "System/Globalization/JapaneseCalendar.h"
#include "System/Globalization/KoreanCalendar.h"
#include "System/Globalization/LangCodeC.h"
#include "System/Globalization/MonthNameStyles.h"
#include "System/Globalization/NumberFormatInfo.h"
#include "System/Globalization/NumberStyles.h"
#include "System/Globalization/PalCultureInfoUtilC.h"
#include "System/Globalization/RegionInfo.h"
#include "System/Guid.h"
#include "System/ICloneable.h"
#include "System/IComparable.h"
#include "System/IDisposable.h"
#include "System/IFormatProvider.h"
#include "System/IndexOutOfRangeException.h"
#include "System/Int16.h"
#include "System/Int16Helper.h"
#include "System/Int32.h"
#include "System/Int32Helper.h"
#include "System/Int64.h"
#include "System/Int64Helper.h"
#include "System/IntPtr.h"
#include "System/InvalidOperationException.h"
#include "System/InvalidTimeZoneException.h"
#include "System/IO/BinaryReader.h"
#include "System/IO/BinaryWriter.h"
#include "System/IO/Directory.h"
#include "System/IO/DirectoryInfo.h"
#include "System/IO/EndOfStreamException.h"
#include "System/IO/File.h"
#include "System/IO/FileAccess.h"
#include "System/IO/FileInfo.h"
#include "System/IO/FileMode.h"
#include "System/IO/FileOptions.h"
#include "System/IO/FileShare.h"
#include "System/IO/FileStream.h"
#include "System/IO/FileSystemInfo.h"
#include "System/IO/IOException.h"
#include "System/IO/MemoryStream.h"
#include "System/IO/NullStream.h"
#include "System/IO/NullStreamReader.h"
#include "System/IO/Path.h"
#include "System/IO/PathHelper.h"
#include "System/IO/SearchOption.h"
#include "System/IO/SeekOrigin.h"
#include "System/IO/Stream.h"
#include "System/IO/StreamReader.h"
#include "System/IO/StreamWriter.h"
#include "System/IO/StringWriter.h"
#include "System/IO/TextReader.h"
#include "System/IO/TextWriter.h"
#include "System/IO/WStringWriter.h"
#include "System/Math.h"
#include "System/MidpointRounding.h"
#include "System/NotImplementedException.h"
#include "System/NotSupportedException.h"
#include "System/NullReferenceException.h"
#include "System/NumberC.h"
#include "System/NumberFormatC.h"
#include "System/Object.h"
#include "System/ObjectDisposedException.h"
#include "System/OutOfMemoryException.h"
#include "System/OverflowException.h"
#include "System/PalFormatterC.h"
#include "System/ParseFailureKind.h"
#include "System/ParseFlags.h"
#include "System/PrimitiveToStringHelper.h"
#include "System/Random.h"
#include "System/RankException.h"
#include "System/reference_counter.h"
#include "System/Runtime/InteropServices/VarEnum.h"
#include "System/SByte.h"
#include "System/SByteHelper.h"
#include "System/Security/Cryptography/CryptographicException.h"
#include "System/Security/Cryptography/CryptographicUnexpectedOperationException.h"
#include "System/Security/Cryptography/HashAlgorithm.h"
#include "System/Security/Cryptography/ICryptoTransform.h"
#include "System/Security/Cryptography/MD5.h"
#include "System/Security/Cryptography/MD5CryptoServiceProvider.h"
#include "System/SimpleDateFormatC.h"
#include "System/Single.h"
#include "System/SingleHelper.h"
#include "System/String.h"
#include "System/StringComparison.h"
#include "System/StringHelperPal.h"
#include "System/StringSplitOptions.h"
#include "System/System.h"
#include "System/Text/ASCIIEncoding.h"
#include "System/Text/Decoder.h"
#include "System/Text/DecoderNLS.h"
#include "System/Text/Encoder.h"
#include "System/Text/EncoderNLS.h"
#include "System/Text/Encoding.h"
#include "System/Text/ICUEncoding.h"
#include "System/Text/PendingInfo.h"
#include "System/Text/RegularExpressions/Group.h"
#include "System/Text/RegularExpressions/GroupCollection.h"
#include "System/Text/RegularExpressions/Match.h"
#include "System/Text/RegularExpressions/MatchCollection.h"
#include "System/Text/RegularExpressions/NamedMatcher.h"
#include "System/Text/RegularExpressions/NamedMatchResult.h"
#include "System/Text/RegularExpressions/NamedPattern.h"
#include "System/Text/RegularExpressions/Regex.h"
#include "System/Text/RegularExpressions/RegexHelper.h"
#include "System/Text/RegularExpressions/RegexOptions.h"
#include "System/Text/StringBuilder.h"
#include "System/Text/UnicodeEncoding.h"
#include "System/Text/UTF8Encoding.h"
#include "System/Threading/Thread.h"
#include "System/TimeoutException.h"
#include "System/TimeSpan.h"
#include "System/TimeZoneInfoOptions.h"
#include "System/TokenType.h"
#include "System/Type.h"
#include "System/TypeCode.h"
#include "System/TypeDefBString.h"
#include "System/UInt16.h"
#include "System/UInt16Helper.h"
#include "System/UInt32.h"
#include "System/UInt32Helper.h"
#include "System/UInt64.h"
#include "System/UInt64Helper.h"
#include "System/Win32/Registry.h"
#include "System/Win32/RegistryKey.h"
#include "System/Zip/CompressionLevel.h"
#include "System/Zip/CRC32.h"
#include "System/Zip/CrcCalculatorStream.h"
#include "System/Zip/Deflate.h"
#include "System/Zip/DeflateStream.h"
#include "System/Zip/Inflate.h"
#include "System/Zip/InfTree.h"
#include "System/Zip/OffsetStream.h"
#include "System/Zip/SharedUtilities.h"
#include "System/Zip/Tree.h"
#include "System/Zip/Zip64Option.h"
#include "System/Zip/ZipContainer.h"
#include "System/Zip/ZipEntry.h"
#include "System/Zip/ZipException.h"
#include "System/Zip/ZipFile.h"
#include "System/Zip/ZipOptions.h"
#include "System/Zip/ZipOutputStream.h"
#include "System/Zip/Zlib.h"
#include "System/Zip/ZlibBaseStream.h"
#include "System/Zip/ZlibCodec.h"
/* Aspose::Cells is the topmost namespace for Cells */
using namespace Aspose::Cells;
using namespace Aspose::Cells::System;
using namespace Aspose::Cells::Drawing;
using namespace Aspose::Cells::Tables;
using namespace Aspose::Cells::Pivot;
using namespace Aspose::Cells::Properties;
using namespace Aspose::Cells::Metadata;
using namespace Aspose::Cells::Charts;




