#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Enumerates cell background pattern types.
			/// </summary>
	enum BackgroundType 

	{

			/// <summary>
			/// Represents diagonal crosshatch pattern.
			/// </summary>
			BackgroundType_DiagonalCrosshatch = 9 ,
			/// <summary>
			/// Represents diagonal stripe pattern.
			/// </summary>
			BackgroundType_DiagonalStripe = 8 ,
			/// <summary>
			/// Represents 6.25% gray pattern
			/// </summary>
			BackgroundType_Gray6 = 18 ,
			/// <summary>
			/// Represents 12.5% gray pattern
			/// </summary>
			BackgroundType_Gray12 = 17 ,
			/// <summary>
			/// Represents 25% gray pattern.
			/// </summary>
			BackgroundType_Gray25 = 4 ,
			/// <summary>
			/// Represents 50% gray pattern.
			/// </summary>
			BackgroundType_Gray50 = 2 ,
			/// <summary>
			/// Represents 75% gray pattern.
			/// </summary>
			BackgroundType_Gray75 = 3 ,
			/// <summary>
			/// Represents horizontal stripe pattern.
			/// </summary>
			BackgroundType_HorizontalStripe = 5 ,
			/// <summary>
			/// Represents no background.
			/// </summary>
			BackgroundType_None = 0 ,
			/// <summary>
			/// Represents reverse diagonal stripe pattern.
			/// </summary>
			BackgroundType_ReverseDiagonalStripe = 7 ,
			/// <summary>
			/// Represents solid pattern.
			/// </summary>
			BackgroundType_Solid = 1 ,
			/// <summary>
			/// Represents thick diagonal crosshatch pattern.
			/// </summary>
			BackgroundType_ThickDiagonalCrosshatch = 10 ,
			/// <summary>
			/// Represents thin diagonal crosshatch pattern.
			/// </summary>
			BackgroundType_ThinDiagonalCrosshatch = 16 ,
			/// <summary>
			/// Represents thin diagonal stripe pattern.
			/// </summary>
			BackgroundType_ThinDiagonalStripe = 14 ,
			/// <summary>
			/// Represents thin horizontal crosshatch pattern.
			/// </summary>
			BackgroundType_ThinHorizontalCrosshatch = 15 ,
			/// <summary>
			/// Represents thin horizontal stripe pattern.
			/// </summary>
			BackgroundType_ThinHorizontalStripe = 11 ,
			/// <summary>
			/// Represents thin reverse diagonal stripe pattern.
			/// </summary>
			BackgroundType_ThinReverseDiagonalStripe = 13 ,
			/// <summary>
			/// Represents thin vertical stripe pattern.
			/// </summary>
			BackgroundType_ThinVerticalStripe = 12 ,
			/// <summary>
			/// Represents vertical stripe pattern.
			/// </summary>
			BackgroundType_VerticalStripe = 6 ,
	};


}

}
