#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Dynamic filter type.
			/// </summary>
	enum DynamicFilterType 

	{

			/// <summary>
			/// Shows values that are above average. 
			/// </summary>
			DynamicFilterType_AboveAverage ,
			/// <summary>
			/// Shows values that are below average. 
			/// </summary>
			DynamicFilterType_BelowAverage ,
			/// <summary>
			/// Shows last month's dates.
			/// </summary>
			DynamicFilterType_LastMonth ,
			/// <summary>
			/// Shows last quarter's dates. 
			/// </summary>
			DynamicFilterType_LastQuarter ,
			/// <summary>
			/// Shows last week's dates. 
			/// </summary>
			DynamicFilterType_LastWeek ,
			/// <summary>
			/// Shows last year's dates. 
			/// </summary>
			DynamicFilterType_LastYear ,
			/// <summary>
			/// Shows the dates that are in January, regardless of year. 
			/// </summary>
			DynamicFilterType_January ,
			/// <summary>
			/// Shows the dates that are in October, regardless of year. 
			/// </summary>
			DynamicFilterType_October ,
			/// <summary>
			/// Shows the dates that are in November, regardless of year. 
			/// </summary>
			DynamicFilterType_November ,
			/// <summary>
			/// Shows the dates that are in December, regardless of year. 
			/// </summary>
			DynamicFilterType_December ,
			/// <summary>
			/// Shows the dates that are in Februray, regardless of year. 
			/// </summary>
			DynamicFilterType_Februray ,
			/// <summary>
			/// Shows the dates that are in March, regardless of year. 
			/// </summary>
			DynamicFilterType_March ,
			/// <summary>
			/// Shows the dates that are in April, regardless of year. 
			/// </summary>
			DynamicFilterType_April ,
			/// <summary>
			/// Shows the dates that are in May, regardless of year. 
			/// </summary>
			DynamicFilterType_May ,
			/// <summary>
			/// Shows the dates that are in June, regardless of year. 
			/// </summary>
			DynamicFilterType_June ,
			/// <summary>
			/// Shows the dates that are in July, regardless of year. 
			/// </summary>
			DynamicFilterType_July ,
			/// <summary>
			/// Shows the dates that are in August, regardless of year. 
			/// </summary>
			DynamicFilterType_August ,
			/// <summary>
			/// Shows the dates that are in September, regardless of year. 
			/// </summary>
			DynamicFilterType_September ,
			/// <summary>
			/// Shows next month's dates. 
			/// </summary>
			DynamicFilterType_NextMonth ,
			/// <summary>
			/// Shows next quarter's dates. 
			/// </summary>
			DynamicFilterType_NextQuarter ,
			/// <summary>
			/// Shows next week's dates. 
			/// </summary>
			DynamicFilterType_NextWeek ,
			/// <summary>
			/// Shows next year's dates. 
			/// </summary>
			DynamicFilterType_NextYear ,
			/// <summary>
			/// 
			/// </summary>
			DynamicFilterType_None ,
			/// <summary>
			/// Shows the dates that are in the 1st quarter, regardless of year. 
			/// </summary>
			DynamicFilterType_Quarter1 ,
			/// <summary>
			/// Shows the dates that are in the 2nd quarter, regardless of year. 
			/// </summary>
			DynamicFilterType_Quarter2 ,
			/// <summary>
			/// Shows the dates that are in the 3rd quarter, regardless of year. 
			/// </summary>
			DynamicFilterType_Quarter3 ,
			/// <summary>
			/// Shows the dates that are in the 4th quarter, regardless of year. 
			/// </summary>
			DynamicFilterType_Quarter4 ,
			/// <summary>
			/// Shows this month's dates.
			/// </summary>
			DynamicFilterType_ThisMonth ,
			/// <summary>
			/// Shows this quarter's dates. 
			/// </summary>
			DynamicFilterType_ThisQuarter ,
			/// <summary>
			/// Shows this week's dates. 
			/// </summary>
			DynamicFilterType_ThisWeek ,
			/// <summary>
			/// Shows this year's dates. 
			/// </summary>
			DynamicFilterType_ThisYear ,
			/// <summary>
			/// Shows today's dates. 
			/// </summary>
			DynamicFilterType_Today ,
			/// <summary>
			/// Shows tomorrow's dates. 
			/// </summary>
			DynamicFilterType_Tomorrow ,
			/// <summary>
			/// Shows the dates between the beginning of the year and today, inclusive. 
			/// </summary>
			DynamicFilterType_YearToDate ,
			/// <summary>
			/// Shows yesterday's dates. 
			/// </summary>
			DynamicFilterType_Yesterday ,
	};


}

}
