#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Represents custom exception type code.
			/// </summary>
	enum ExceptionType 

	{

			/// <summary>
			/// Invalid chart setting.
			/// </summary>
			ExceptionType_Chart ,
			/// <summary>
			/// Invalid data type setting.
			/// </summary>
			ExceptionType_DataType ,
			/// <summary>
			/// Invalid data validation setting.
			/// </summary>
			ExceptionType_DataValidation ,
			/// <summary>
			/// Invalid data validation setting.
			/// </summary>
			ExceptionType_ConditionalFormatting ,
			/// <summary>
			/// Invalid file format.
			/// </summary>
			ExceptionType_FileFormat ,
			/// <summary>
			/// Invalid formula.
			/// </summary>
			ExceptionType_Formula ,
			/// <summary>
			/// Invalid data.
			/// </summary>
			ExceptionType_InvalidData ,
			/// <summary>
			/// Invalid operator.
			/// </summary>
			ExceptionType_InvalidOperator ,
			/// <summary>
			/// Incorrect password.
			/// </summary>
			ExceptionType_IncorrectPassword ,
			/// <summary>
			/// License related errors.
			/// </summary>
			ExceptionType_License ,
			/// <summary>
			/// Out of MS Excel limitation error.
			/// </summary>
			ExceptionType_Limitation ,
			/// <summary>
			/// Invalid page setup setting.
			/// </summary>
			ExceptionType_PageSetup ,
			/// <summary>
			/// Invalid pivotTable setting.
			/// </summary>
			ExceptionType_PivotTable ,
			/// <summary>
			/// Invalid drawing object setting.
			/// </summary>
			ExceptionType_Shape ,
			/// <summary>
			/// Invalid sparkline object setting.
			/// </summary>
			ExceptionType_Sparkline ,
			/// <summary>
			/// Invalid worksheet name.
			/// </summary>
			ExceptionType_SheetName ,
			/// <summary>
			/// Invalid worksheet type.
			/// </summary>
			ExceptionType_SheetType ,
			/// <summary>
			/// The operator is interrupted.
			/// </summary>
			ExceptionType_Interrupted ,
			/// <summary>
			/// The file is invalid.
			/// </summary>
			ExceptionType_IO ,
			/// <summary>
			/// Unsupported feature.
			/// </summary>
			ExceptionType_UnsupportedFeature ,
			/// <summary>
			/// Unsupported stream to be opened.
			/// </summary>
			ExceptionType_UnsupportedStream ,
			/// <summary>
			/// Files contains some undisclosed information.
			/// </summary>
			ExceptionType_UndisclosedInformation ,
	};


}

}
