#pragma once
namespace Aspose {
namespace Cells {
namespace Drawing {
			/// <summary>
			/// Enumerates shape fill pattern types.
			/// </summary>
	enum FillPattern 

	{

			/// <summary>
			/// Represents no background.
			/// </summary>
			FillPattern_None = 0 ,
			/// <summary>
			/// Represents solid pattern.
			/// </summary>
			FillPattern_Solid = 1 ,
			/// <summary>
			/// Represents 5% gray pattern.
			/// </summary>
			FillPattern_Gray5 ,
			/// <summary>
			/// Represents 10% gray pattern.
			/// </summary>
			FillPattern_Gray10 ,
			/// <summary>
			/// Represents 20% gray pattern.
			/// </summary>
			FillPattern_Gray20 ,
			/// <summary>
			/// Represents 30% gray pattern.
			/// </summary>
			FillPattern_Gray30 ,
			/// <summary>
			/// Represents 40% gray pattern.
			/// </summary>
			FillPattern_Gray40 ,
			/// <summary>
			/// Represents 50% gray pattern.
			/// </summary>
			FillPattern_Gray50 ,
			/// <summary>
			/// Represents 60% gray pattern.
			/// </summary>
			FillPattern_Gray60 ,
			/// <summary>
			/// Represents 70% gray pattern.
			/// </summary>
			FillPattern_Gray70 ,
			/// <summary>
			/// Represents 75% gray pattern.
			/// </summary>
			FillPattern_Gray75 ,
			/// <summary>
			/// Represents 80% gray pattern.
			/// </summary>
			FillPattern_Gray80 ,
			/// <summary>
			/// Represents 90% gray pattern.
			/// </summary>
			FillPattern_Gray90 ,
			/// <summary>
			/// Represents 25% gray pattern.
			/// </summary>
			FillPattern_Gray25 ,
			/// <summary>
			/// Represents light downward diagonal pattern.
			/// </summary>
			FillPattern_LightDownwardDiagonal ,
			/// <summary>
			/// Represents light upward diagonal pattern.
			/// </summary>
			FillPattern_LightUpwardDiagonal ,
			/// <summary>
			/// Represents dark downward diagonal pattern.
			/// </summary>
			FillPattern_DarkDownwardDiagonal ,
			/// <summary>
			/// Represents dark upward diagonal pattern.
			/// </summary>
			FillPattern_DarkUpwardDiagonal ,
			/// <summary>
			/// Represents wide downward diagonal pattern.
			/// </summary>
			FillPattern_WideDownwardDiagonal ,
			/// <summary>
			/// Represents wide upward diagonal pattern.
			/// </summary>
			FillPattern_WideUpwardDiagonal ,
			/// <summary>
			/// Represents light vertical pattern.
			/// </summary>
			FillPattern_LightVertical ,
			/// <summary>
			/// Represents light horizontal pattern.
			/// </summary>
			FillPattern_LightHorizontal ,
			/// <summary>
			/// Represents narrow vertical pattern.
			/// </summary>
			FillPattern_NarrowVertical ,
			/// <summary>
			/// Represents narrow horizontal pattern.
			/// </summary>
			FillPattern_NarrowHorizontal ,
			/// <summary>
			/// Represents dark vertical pattern.
			/// </summary>
			FillPattern_DarkVertical ,
			/// <summary>
			/// Represents dark horizontal pattern.
			/// </summary>
			FillPattern_DarkHorizontal ,
			/// <summary>
			/// Represents dashed downward diagonal pattern.
			/// </summary>
			FillPattern_DashedDownwardDiagonal ,
			/// <summary>
			/// Represents dashed upward diagonal pattern.
			/// </summary>
			FillPattern_DashedUpwardDiagonal ,
			/// <summary>
			/// Represents dashed vertical pattern.
			/// </summary>
			FillPattern_DashedVertical ,
			/// <summary>
			/// Represents dashed horizontal pattern.
			/// </summary>
			FillPattern_DashedHorizontal ,
			/// <summary>
			/// Represents small confetti pattern.
			/// </summary>
			FillPattern_SmallConfetti ,
			/// <summary>
			/// Represents large confetti pattern.
			/// </summary>
			FillPattern_LargeConfetti ,
			/// <summary>
			/// Represents zig zag pattern.
			/// </summary>
			FillPattern_ZigZag ,
			/// <summary>
			/// Represents wave pattern.
			/// </summary>
			FillPattern_Wave ,
			/// <summary>
			/// Represents diagonal brick pattern.
			/// </summary>
			FillPattern_DiagonalBrick ,
			/// <summary>
			/// Represents horizontal brick pattern.
			/// </summary>
			FillPattern_HorizontalBrick ,
			/// <summary>
			/// Represents weave pattern.
			/// </summary>
			FillPattern_Weave ,
			/// <summary>
			/// Represents plaid pattern.
			/// </summary>
			FillPattern_Plaid ,
			/// <summary>
			/// Represents divot pattern.
			/// </summary>
			FillPattern_Divot ,
			/// <summary>
			/// Represents dotted grid pattern.
			/// </summary>
			FillPattern_DottedGrid ,
			/// <summary>
			/// Represents dotted diamond pattern.
			/// </summary>
			FillPattern_DottedDiamond ,
			/// <summary>
			/// Represents shingle pattern.
			/// </summary>
			FillPattern_Shingle ,
			/// <summary>
			/// Represents trellis pattern.
			/// </summary>
			FillPattern_Trellis ,
			/// <summary>
			/// Represents sphere pattern.
			/// </summary>
			FillPattern_Sphere ,
			/// <summary>
			/// Represents small grid pattern.
			/// </summary>
			FillPattern_SmallGrid ,
			/// <summary>
			/// Represents large grid pattern.
			/// </summary>
			FillPattern_LargeGrid ,
			/// <summary>
			/// Represents small checker board pattern.
			/// </summary>
			FillPattern_SmallCheckerBoard ,
			/// <summary>
			/// Represents large checker board pattern.
			/// </summary>
			FillPattern_LargeCheckerBoard ,
			/// <summary>
			/// Represents outlined diamond pattern.
			/// </summary>
			FillPattern_OutlinedDiamond ,
			/// <summary>
			/// Represents solid diamond pattern.
			/// </summary>
			FillPattern_SolidDiamond ,
			/// <summary>
			/// Represents unkown pattern.
			/// </summary>
			FillPattern_Unknown ,
	};


}

}

}
