#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Enumerates the font underline types.
			/// </summary>
	enum FontUnderlineType 

	{

			/// <summary>
			/// Represents no underline.
			/// </summary>
			FontUnderlineType_None = 0 ,
			/// <summary>
			/// Represents single underline.
			/// </summary>
			FontUnderlineType_Single = 1 ,
			/// <summary>
			/// Represents double underline.
			/// </summary>
			FontUnderlineType_Double = 2 ,
			/// <summary>
			/// Represents single accounting underline.
			/// </summary>
			FontUnderlineType_Accounting = 3 ,
			/// <summary>
			/// Represents double accounting underline.
			/// </summary>
			FontUnderlineType_DoubleAccounting = 4 ,
			/// <summary>
			/// Represents Dashed Underline
			/// </summary>
			FontUnderlineType_Dash = 5 ,
			/// <summary>
			/// Represents Thick Dash-Dot-Dot Underline
			/// </summary>
			FontUnderlineType_DashDotDotHeavy = 6 ,
			/// <summary>
			/// Represents Thick Dash-Dot Underline
			/// </summary>
			FontUnderlineType_DashDotHeavy = 7 ,
			/// <summary>
			/// Represents Thick Dashed Underline
			/// </summary>
			FontUnderlineType_DashedHeavy = 8 ,
			/// <summary>
			/// Represents Long Dashed Underline
			/// </summary>
			FontUnderlineType_DashLong = 9 ,
			/// <summary>
			/// Represents Thick Long Dashed Underline
			/// </summary>
			FontUnderlineType_DashLongHeavy = 0x0A ,
			/// <summary>
			/// Represents Dash-Dot Underline
			/// </summary>
			FontUnderlineType_DotDash = 0x0B ,
			/// <summary>
			/// Represents Dash-Dot-Dot Underline
			/// </summary>
			FontUnderlineType_DotDotDash = 0x0C ,
			/// <summary>
			/// Represents Dotted Underline
			/// </summary>
			FontUnderlineType_Dotted = 0x0D ,
			/// <summary>
			/// Represents Thick Dotted Underline
			/// </summary>
			FontUnderlineType_DottedHeavy = 0x0E ,
			/// <summary>
			/// Represents Thick Underline
			/// </summary>
			FontUnderlineType_Heavy = 0x0F ,
			/// <summary>
			/// Represents Wave Underline
			/// </summary>
			FontUnderlineType_Wave = 0x10 ,
			/// <summary>
			/// Represents Double Wave Underline
			/// </summary>
			FontUnderlineType_WavyDouble = 0x11 ,
			/// <summary>
			/// Represents Heavy Wave Underline
			/// </summary>
			FontUnderlineType_WavyHeavy = 0x12 ,
			/// <summary>
			/// Represents Underline Non-Space Characters Only
			/// </summary>
			FontUnderlineType_Words = 0x13 ,
	};


}

}
