#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Icon set type for conditional formatting. 
			/// The threshold values for triggering the different icons within a set are
			/// configurable, and the icon order is reversible. 
			/// </summary>
	enum IconSetType 

	{

			/// <summary>
			/// 3 arrows icon set.
			/// </summary>
			IconSetType_Arrows3 ,
			/// <summary>
			/// 3 gray arrows icon set.
			/// </summary>
			IconSetType_ArrowsGray3 ,
			/// <summary>
			/// 3 flags icon set.
			/// </summary>
			IconSetType_Flags3 ,
			/// <summary>
			/// 3 signs icon set.
			/// </summary>
			IconSetType_Signs3 ,
			/// <summary>
			/// 3 symbols icon set (circled).
			/// </summary>
			IconSetType_Symbols3 ,
			/// <summary>
			/// 3 Symbols icon set (uncircled).
			/// </summary>
			IconSetType_Symbols32 ,
			/// <summary>
			/// 3 traffic lights icon set (unrimmed).
			/// </summary>
			IconSetType_TrafficLights31 ,
			/// <summary>
			/// 3 traffic lights icon set with thick black border.
			/// </summary>
			IconSetType_TrafficLights32 ,
			/// <summary>
			/// 4 arrows icon set.
			/// </summary>
			IconSetType_Arrows4 ,
			/// <summary>
			/// 4 gray arrows icon set.
			/// </summary>
			IconSetType_ArrowsGray4 ,
			/// <summary>
			/// 4 ratings icon set.
			/// </summary>
			IconSetType_Rating4 ,
			/// <summary>
			/// 4 'red to black' icon set.
			/// </summary>
			IconSetType_RedToBlack4 ,
			/// <summary>
			/// 4 traffic lights icon set.
			/// </summary>
			IconSetType_TrafficLights4 ,
			/// <summary>
			/// 5 arrows icon set.
			/// </summary>
			IconSetType_Arrows5 ,
			/// <summary>
			/// 5 gray arrows icon set.
			/// </summary>
			IconSetType_ArrowsGray5 ,
			/// <summary>
			/// 5 quarters icon set.
			/// </summary>
			IconSetType_Quarters5 ,
			/// <summary>
			/// 5 rating icon set.
			/// </summary>
			IconSetType_Rating5 ,
			/// <summary>
			/// 3 stars set
			/// </summary>
			IconSetType_Stars3 ,
			/// <summary>
			/// 5 boxes set
			/// </summary>
			IconSetType_Boxes5 ,
			/// <summary>
			/// 3 triangles set
			/// </summary>
			IconSetType_Triangles3 ,
			/// <summary>
			/// None 
			/// </summary>
			IconSetType_None ,
			/// <summary>
			/// CustomSet,this element is read-only.
			/// </summary>
			IconSetType_CustomSet ,
	};


}

}
