#pragma once
namespace Aspose {
namespace Cells {
namespace Charts {
			/// <summary>
			/// Represents data label position type.
			/// </summary>
	enum LabelPositionType 

	{

			/// <summary>
			/// Applies only to bar, 2d/3d pie charts
			/// </summary>
			LabelPositionType_Center ,
			/// <summary>
			/// Applies only to bar, 2d/3d pie charts
			/// </summary>
			LabelPositionType_InsideBase ,
			/// <summary>
			/// Applies only to bar charts
			/// </summary>
			LabelPositionType_InsideEnd ,
			/// <summary>
			/// Applies only to bar, 2d/3d pie charts
			/// </summary>
			LabelPositionType_OutsideEnd ,
			/// <summary>
			/// Applies only to line charts
			/// </summary>
			LabelPositionType_Above ,
			/// <summary>
			/// Applies only to line charts
			/// </summary>
			LabelPositionType_Below ,
			/// <summary>
			/// Applies only to line charts
			/// </summary>
			LabelPositionType_Left ,
			/// <summary>
			/// Applies only to line charts
			/// </summary>
			LabelPositionType_Right ,
			/// <summary>
			/// Applies only to 2d/3d pie charts
			/// </summary>
			LabelPositionType_BestFit ,
			/// <summary>
			/// User moved the data labels, Only for reading chart from template file.
			/// </summary>
			LabelPositionType_Moved ,
	};


}

}

}
