#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Represents paper size constants.
			/// </summary>
			/// 
			/// 
	enum PaperSizeType 
	{

			/// <summary>
			/// Letter (8-1/2 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetter = 1 ,
			/// <summary>
			/// Letter Small (8-1/2 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterSmall = 2 ,
			/// <summary>
			/// Tabloid (11 in. x 17 in.) 
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperTabloid = 3 ,
			/// <summary>
			/// Ledger (17 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLedger = 4 ,
			/// <summary>
			/// Legal (8-1/2 in. x 14 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLegal = 5 ,
			/// <summary>
			/// Statement (5-1/2 in. x 8-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperStatement = 6 ,
			/// <summary>
			/// Executive (7-1/4 in. x 10-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperExecutive = 7 ,
			/// <summary>
			/// A3 (297 mm x 420 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA3 = 8 ,
			/// <summary>
			/// A4 (210 mm x 297 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4 = 9 ,
			/// <summary>
			/// A4 Small (210 mm x 297 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4Small = 10 ,
			/// <summary>
			/// A5 (148 mm x 210 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA5 = 11 ,
			/// <summary>
			/// JIS B4 (257 mm x 364 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperB4 = 12 ,
			/// <summary>
			/// JIS B5 (182 mm x 257 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperB5 = 13 ,
			/// <summary>
			/// Folio (8-1/2 in. x 13 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperFolio = 14 ,
			/// <summary>
			/// Quarto (215 mm x 275 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperQuarto = 15 ,
			/// <summary>
			/// 10 in. x 14 in.
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper10x14 = 16 ,
			/// <summary>
			/// 11 in. x 17 in.
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper11x17 = 17 ,
			/// <summary>
			/// Note (8-1/2 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperNote = 18 ,
			/// <summary>
			/// Envelope #9 (3-7/8 in. x 8-7/8 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelope9 = 19 ,
			/// <summary>
			/// Envelope #10 (4-1/8 in. x 9-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelope10 = 20 ,
			/// <summary>
			/// Envelope #11 (4-1/2 in. x 10-3/8 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelope11 = 21 ,
			/// <summary>
			/// Envelope #12 (4-1/2 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelope12 = 22 ,
			/// <summary>
			/// Envelope #14 (5 in. x 11-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelope14 = 23 ,
			/// <summary>
			/// C size sheet
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperCSheet = 24 ,
			/// <summary>
			/// D size sheet
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperDSheet = 25 ,
			/// <summary>
			/// E size sheet
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperESheet = 26 ,
			/// <summary>
			/// Envelope DL (110 mm x 220 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeDL = 27 ,
			/// <summary>
			/// Envelope C5 (162 mm x 229 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeC5 = 28 ,
			/// <summary>
			/// Envelope C3 (324 mm x 458 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeC3 = 29 ,
			/// <summary>
			/// Envelope C4 (229 mm x 324 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeC4 = 30 ,
			/// <summary>
			/// Envelope C6 (114 mm x 162 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeC6 = 31 ,
			/// <summary>
			/// Envelope C65 (114 mm x 229 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeC65 = 32 ,
			/// <summary>
			/// Envelope B4 (250 mm x 353 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeB4 = 33 ,
			/// <summary>
			/// Envelope B5 (176 mm x 250 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeB5 = 34 ,
			/// <summary>
			/// Envelope B6 (176 mm x 125 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeB6 = 35 ,
			/// <summary>
			/// Envelope Italy (110 mm x 230 mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeItaly = 36 ,
			/// <summary>
			/// Envelope Monarch (3-7/8 in. x 7-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeMonarch = 37 ,
			/// <summary>
			/// Envelope (3-5/8 in. x 6-1/2 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopePersonal = 38 ,
			/// <summary>
			/// U.S. Standard Fanfold (14-7/8 in. x 11 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperFanfoldUS = 39 ,
			/// <summary>
			/// German Standard Fanfold (8-1/2 in. x 12 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperFanfoldStdGerman = 40 ,
			/// <summary>
			/// German Legal Fanfold (8-1/2 in. x 13 in.)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperFanfoldLegalGerman = 41 ,
			/// <summary>
			/// B4 (ISO) 250 x 353 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperISOB4 = 42 ,
			/// <summary>
			/// Japanese Postcard (100mm  148mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapanesePostcard = 43 ,
			/// <summary>
			/// 9?  11?
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper9x11 = 44 ,
			/// <summary>
			/// 10?  11?
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper10x11 = 45 ,
			/// <summary>
			/// 15?  11?
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper15x11 = 46 ,
			/// <summary>
			/// Envelope Invite (220mm  220mm)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperEnvelopeInvite = 47 ,
			/// <summary>
			/// US Letter Extra 9 \275 x 12 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterExtra = 50 ,
			/// <summary>
			/// US Legal Extra 9 \275 x 15 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLegalExtra = 51 ,
			/// <summary>
			/// US Tabloid Extra 11.69 x 18 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperTabloidExtra = 52 ,
			/// <summary>
			/// A4 Extra 9.27 x 12.69 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4Extra = 53 ,
			/// <summary>
			/// Letter Transverse 8 \275 x 11 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterTransverse = 54 ,
			/// <summary>
			/// A4 Transverse 210 x 297 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4Transverse = 55 ,
			/// <summary>
			/// Letter Extra Transverse 9\275 x 12 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterExtraTransverse = 56 ,
			/// <summary>
			/// SuperA/SuperA/A4 227 x 356 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperSuperA = 57 ,
			/// <summary>
			/// SuperB/SuperB/A3 305 x 487 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperSuperB = 58 ,
			/// <summary>
			/// US Letter Plus 8.5 x 12.69 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterPlus = 59 ,
			/// <summary>
			/// A4 Plus 210 x 330 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4Plus = 60 ,
			/// <summary>
			/// A5 Transverse 148 x 210 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA5Transverse = 61 ,
			/// <summary>
			/// B5 (JIS) Transverse 182 x 257 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJISB5Transverse = 62 ,
			/// <summary>
			/// A3 Extra 322 x 445 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA3Extra = 63 ,
			/// <summary>
			/// A5 Extra 174 x 235 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA5Extra = 64 ,
			/// <summary>
			/// B5 (ISO) Extra 201 x 276 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperISOB5Extra = 65 ,
			/// <summary>
			/// A2 420 x 594 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA2 = 66 ,
			/// <summary>
			/// A3 Transverse 297 x 420 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA3Transverse = 67 ,
			/// <summary>
			/// A3 Extra Transverse 322 x 445 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA3ExtraTransverse = 68 ,
			/// <summary>
			/// Japanese Double Postcard 200 x 148 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseDoublePostcard = 69 ,
			/// <summary>
			/// A6 105 x 148 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA6 = 70 ,
			/// <summary>
			/// Japanese Envelope Kaku #2
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeKaku2 = 71 ,
			/// <summary>
			/// Japanese Envelope Kaku #3
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeKaku3 = 72 ,
			/// <summary>
			/// Japanese Envelope Chou #3
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeChou3 = 73 ,
			/// <summary>
			/// Japanese Envelope Chou #4
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeChou4 = 74 ,
			/// <summary>
			/// 11in  8.5in
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperLetterRotated = 75 ,
			/// <summary>
			/// 420mm  297mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA3Rotated = 76 ,
			/// <summary>
			/// 297mm  210mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA4Rotated = 77 ,
			/// <summary>
			/// 210mm  148mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA5Rotated = 78 ,
			/// <summary>
			/// B4 (JIS) Rotated 364 x 257 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJISB4Rotated = 79 ,
			/// <summary>
			/// B5 (JIS) Rotated 257 x 182 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJISB5Rotated = 80 ,
			/// <summary>
			/// Japanese Postcard Rotated 148 x 100 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapanesePostcardRotated = 81 ,
			/// <summary>
			/// Double Japanese Postcard Rotated 148 x 200 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseDoublePostcardRotated = 82 ,
			/// <summary>
			/// A6 Rotated 148 x 105 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperA6Rotated = 83 ,
			/// <summary>
			/// Japanese Envelope Kaku #2 Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeKaku2Rotated = 84 ,
			/// <summary>
			/// Japanese Envelope Kaku #3 Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeKaku3Rotated = 85 ,
			/// <summary>
			/// Japanese Envelope Chou #3 Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeChou3Rotated = 86 ,
			/// <summary>
			/// Japanese Envelope Chou #4 Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeChou4Rotated = 87 ,
			/// <summary>
			/// B6 (JIS) 128 x 182 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJISB6 = 88 ,
			/// <summary>
			/// B6 (JIS) Rotated 182 x 128 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJISB6Rotated = 89 ,
			/// <summary>
			/// 12 x 11 in
			/// </summary>
			/// 
			/// 
			PaperSizeType_Paper12x11 = 90 ,
			/// <summary>
			/// Japanese Envelope You #4
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeYou4 = 91 ,
			/// <summary>
			/// Japanese Envelope You #4 Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperJapaneseEnvelopeYou4Rotated = 92 ,
			/// <summary>
			/// PRC 16K 146 x 215 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRC16K = 93 ,
			/// <summary>
			/// PRC 32K 97 x 151 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRC32K = 94 ,
			/// <summary>
			/// PRC 32K (Big) 97 x 151 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCBig32K = 95 ,
			/// <summary>
			/// PRC Envelope #1 102 x 165 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope1 = 96 ,
			/// <summary>
			/// PRC Envelope #2 102 x 176 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope2 = 97 ,
			/// <summary>
			/// PRC Envelope #3 125 x 176 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope3 = 98 ,
			/// <summary>
			/// PRC Envelope #4 110 x 208 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope4 = 99 ,
			/// <summary>
			/// PRC Envelope #5 110 x 220 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope5 = 100 ,
			/// <summary>
			/// PRC Envelope #6 120 x 230 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope6 = 101 ,
			/// <summary>
			/// PRC Envelope #7 160 x 230 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope7 = 102 ,
			/// <summary>
			/// PRC Envelope #8 120 x 309 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope8 = 103 ,
			/// <summary>
			/// PRC Envelope #9 229 x 324 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope9 = 104 ,
			/// <summary>
			/// PRC Envelope #10 324 x 458 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope10 = 105 ,
			/// <summary>
			/// PRC 16K Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRC16KRotated = 106 ,
			/// <summary>
			/// PRC 32K Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRC32KRotated = 107 ,
			/// <summary>
			/// PRC 32K (Big) Rotated
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCBig32KRotated = 108 ,
			/// <summary>
			/// PRC Envelope #1 Rotated 165 x 102 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope1Rotated = 109 ,
			/// <summary>
			/// PRC Envelope #2 Rotated 176 x 102 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope2Rotated = 110 ,
			/// <summary>
			/// PRC Envelope #3 Rotated 176 x 125 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope3Rotated = 111 ,
			/// <summary>
			/// PRC Envelope #4 Rotated 208 x 110 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope4Rotated = 112 ,
			/// <summary>
			/// PRC Envelope #5 Rotated 220 x 110 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope5Rotated = 113 ,
			/// <summary>
			/// PRC Envelope #6 Rotated 230 x 120 mm
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope6Rotated = 114 ,
			/// <summary>
			/// PRC Envelope #7 Rotated 230 x 160 mm
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope7Rotated = 115 ,
			/// <summary>
			/// PRC Envelope #8 Rotated 309 x 120 mm
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope8Rotated = 116 ,
			/// <summary>
			/// PRC Envelope #9 Rotated 324 x 229 mm
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope9Rotated = 117 ,
			/// <summary>
			/// PRC Envelope #10 Rotated 458 x 324 mm
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperPRCEnvelope10Rotated = 118 ,
			/// <summary>
			/// Usual B3 (13.9 x 19.7 in)
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperB3 = 300 ,
			/// <summary>
			/// Business Card (90mm x 55 mm)
			///  </summary>
			/// 
			/// 
			PaperSizeType_PaperBusinessCard = 301 ,
			/// <summary>
			/// Thermal (3 x 11 in)
			/// </summary>
			/// 
			/// 
			PaperSizeType_PaperThermal = 302 ,
	};


}

}
