#pragma once
namespace Aspose {
namespace Cells {
namespace Pivot {
			/// <summary>
			/// Represents data display format in the PivotTable data field.
			/// </summary>
	enum PivotFieldDataDisplayFormat 

	{

			/// <summary>
			/// Represents normal dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_Normal = 0 ,
			/// <summary>
			///  Represents difference from dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_DifferenceFrom = 1 ,
			/// <summary>
			/// Represents percentage of dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOf = 2 ,
			/// <summary>
			/// Represents percentage difference from  display format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageDifferenceFrom = 3 ,
			/// <summary>
			/// Represents running total in dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_RunningTotalIn = 4 ,
			/// <summary>
			/// Represents percentage of row dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfRow = 5 ,
			/// <summary>
			/// Represents percentage of column dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfColumn = 6 ,
			/// <summary>
			/// Represents percentage of total dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfTotal = 7 ,
			/// <summary>
			/// Represents index dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_Index = 8 ,
			/// <summary>
			/// Represents percentage of parent row total dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfParentRowTotal = 9 ,
			/// <summary>
			/// Represents percentage of parent column total dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfParentColumnTotal = 10 ,
			/// <summary>
			/// Represents percentage of parent total dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfParentTotal = 11 ,
			/// <summary>
			/// Represents percentage of running total in dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_PercentageOfRunningTotalIn = 12 ,
			/// <summary>
			/// Represents smallest to largest dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_RankSmallestToLargest = 13 ,
			/// <summary>
			/// Represents largest to smallest dispaly format.
			/// </summary>
			PivotFieldDataDisplayFormat_RankLargestToSmallest = 14 ,
	};


}

}

}
