#pragma once
namespace Aspose {
namespace Cells {
			/// <summary>
			/// Enumerates text alignment types. 
			/// </summary>
	enum TextAlignmentType 
	{

			/// <summary>
			/// Represents bottom text alignment.
			/// </summary>
			TextAlignmentType_Bottom ,
			/// <summary>
			/// Represents center text alignment.
			/// </summary>
			TextAlignmentType_Center ,
			/// <summary>
			/// Represents center across text alignment.
			/// </summary>
			TextAlignmentType_CenterAcross ,
			/// <summary>
			/// Represents distributed text alignment.
			/// </summary>
			TextAlignmentType_Distributed ,
			/// <summary>
			/// Represents fill text alignment.
			/// </summary>
			TextAlignmentType_Fill ,
			/// <summary>
			/// Represents general text alignment.
			/// </summary>
			TextAlignmentType_General ,
			/// <summary>
			/// Represents justify text alignment.
			/// </summary>
			TextAlignmentType_Justify ,
			/// <summary>
			/// Represents left text alignment.
			/// </summary>
			TextAlignmentType_Left ,
			/// <summary>
			/// Represents right text alignment.
			/// </summary>
			TextAlignmentType_Right ,
			/// <summary>
			/// Represents top text alignment.
			/// </summary>
			TextAlignmentType_Top ,
			/// <summary>
			/// Aligns the text with an adjusted kashida length for Arabic text.
			/// </summary>
			TextAlignmentType_JustifiedLow ,
			/// <summary>
			/// Distributes Thai text specially, because each character is treated as a word.
			/// </summary>
			TextAlignmentType_ThaiDistributed ,
	};


}

}
