#pragma once
namespace Aspose {
namespace Cells {
namespace Drawing {
namespace Texts {
			/// <summary>
			/// Represents the text direct type.
			/// </summary>
	enum TextVerticalType 

	{

			/// <summary>
			/// East Asian Vertical display.
			/// </summary>
			TextVerticalType_Vertical ,
			/// <summary>
			/// Horizontal text.
			/// </summary>
			TextVerticalType_Horizontal ,
			/// <summary>
			/// Displayed vertical and the text flows top down then LEFT to RIGHT
			/// </summary>
			TextVerticalType_VerticalLeftToRight ,
			/// <summary>
			/// Each line is 90 degrees rotated clockwise
			/// </summary>
			TextVerticalType_Vertical90 ,
			/// <summary>
			/// Each line is 270 degrees rotated clockwise
			/// </summary>
			TextVerticalType_Vertical270 ,
			/// <summary>
			/// Determines if all of the text is vertical
			/// </summary>
			TextVerticalType_Stacked ,
			/// <summary>
			/// Specifies that vertical WordArt should be shown from right to left rather than left to right.
			/// </summary>
			TextVerticalType_StackedRightToLeft ,
	};


}

}

}

}
