#ifndef _SYSTEM_DRAWING_KNOWNCOLOR_H_
#define _SYSTEM_DRAWING_KNOWNCOLOR_H_
namespace Aspose { 
	namespace Cells { 
		namespace System {
			namespace Drawing {
				// Summary:
				//     Specifies the known system colors->
				enum KnownColor
				{
					// Summary:
					//     The system-defined color of the active window's border->
					KnownColor_ActiveBorder = 1,
					//
					// Summary:
					//     The system-defined color of the background of the active window's title bar->
					KnownColor_ActiveCaption = 2,
					//
					// Summary:
					//     The system-defined color of the text in the active window's title bar->
					KnownColor_ActiveCaptionText = 3,
					//
					// Summary:
					//     The system-defined color of the application workspace-> The application workspace
					//     is the area in a multiple-document view that is not being occupied by documents->
					KnownColor_AppWorkspace = 4,
					//
					// Summary:
					//     The system-defined face color of a 3-D element->
					KnownColor_Control = 5,
					//
					// Summary:
					//     The system-defined shadow color of a 3-D element-> The shadow color is applied
					//     to parts of a 3-D element that face away from the light source->
					KnownColor_ControlDark = 6,
					//
					// Summary:
					//     The system-defined color that is the dark shadow color of a 3-D element->
					//     The dark shadow color is applied to the parts of a 3-D element that are the
					//     darkest color->
					KnownColor_ControlDarkDark = 7,
					//
					// Summary:
					//     The system-defined color that is the light color of a 3-D element-> The light
					//     color is applied to parts of a 3-D element that face the light source->
					KnownColor_ControlLight = 8,
					//
					// Summary:
					//     The system-defined highlight color of a 3-D element-> The highlight color
					//     is applied to the parts of a 3-D element that are the lightest color->
					KnownColor_ControlLightLight = 9,
					//
					// Summary:
					//     The system-defined color of text in a 3-D element->
					KnownColor_ControlText = 10,
					//
					// Summary:
					//     The system-defined color of the desktop->
					KnownColor_Desktop = 11,
					//
					// Summary:
					//     The system-defined color of dimmed text-> Items in a list that are disabled
					//     are displayed in dimmed text->
					KnownColor_GrayText = 12,
					//
					// Summary:
					//     The system-defined color of the background of selected items-> This includes
					//     selected menu items as well as selected text->
					KnownColor_Highlight = 13,
					//
					// Summary:
					//     The system-defined color of the text of selected items->
					KnownColor_HighlightText = 14,
					//
					// Summary:
					//     The system-defined color used to designate a hot-tracked item-> Single-clicking
					//     a hot-tracked item executes the item->
					KnownColor_HotTrack = 15,
					//
					// Summary:
					//     The system-defined color of an inactive window's border->
					KnownColor_InactiveBorder = 16,
					//
					// Summary:
					//     The system-defined color of the background of an inactive window's title
					//     bar->
					KnownColor_InactiveCaption = 17,
					//
					// Summary:
					//     The system-defined color of the text in an inactive window's title bar->
					KnownColor_InactiveCaptionText = 18,
					//
					// Summary:
					//     The system-defined color of the background of a ToolTip->
					KnownColor_Info = 19,
					//
					// Summary:
					//     The system-defined color of the text of a ToolTip->
					KnownColor_InfoText = 20,
					//
					// Summary:
					//     The system-defined color of a menu's background->
					KnownColor_Menu = 21,
					//
					// Summary:
					//     The system-defined color of a menu's text->
					KnownColor_MenuText = 22,
					//
					// Summary:
					//     The system-defined color of the background of a scroll bar->
					KnownColor_ScrollBar = 23,
					//
					// Summary:
					//     The system-defined color of the background in the client area of a window->
					KnownColor_Window = 24,
					//
					// Summary:
					//     The system-defined color of a window frame->
					KnownColor_WindowFrame = 25,
					//
					// Summary:
					//     The system-defined color of the text in the client area of a window->
					KnownColor_WindowText = 26,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Transparent = 27,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_AliceBlue = 28,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_AntiqueWhite = 29,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Aqua = 30,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Aquamarine = 31,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Azure = 32,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Beige = 33,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Bisque = 34,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Black = 35,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_BlanchedAlmond = 36,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Blue = 37,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_BlueViolet = 38,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Brown = 39,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_BurlyWood = 40,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_CadetBlue = 41,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Chartreuse = 42,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Chocolate = 43,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Coral = 44,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_CornflowerBlue = 45,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Cornsilk = 46,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Crimson = 47,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Cyan = 48,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkBlue = 49,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkCyan = 50,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkGoldenrod = 51,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkGray = 52,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkGreen = 53,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkKhaki = 54,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkMagenta = 55,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkOliveGreen = 56,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkOrange = 57,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkOrchid = 58,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkRed = 59,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkSalmon = 60,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkSeaGreen = 61,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkSlateBlue = 62,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkSlateGray = 63,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkTurquoise = 64,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DarkViolet = 65,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DeepPink = 66,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DeepSkyBlue = 67,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DimGray = 68,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_DodgerBlue = 69,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Firebrick = 70,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_FloralWhite = 71,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_ForestGreen = 72,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Fuchsia = 73,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Gainsboro = 74,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_GhostWhite = 75,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Gold = 76,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Goldenrod = 77,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Gray = 78,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Green = 79,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_GreenYellow = 80,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Honeydew = 81,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_HotPink = 82,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_IndianRed = 83,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Indigo = 84,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Ivory = 85,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Khaki = 86,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Lavender = 87,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LavenderBlush = 88,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LawnGreen = 89,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LemonChiffon = 90,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightBlue = 91,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightCoral = 92,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightCyan = 93,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightGoldenrodYellow = 94,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightGray = 95,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightGreen = 96,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightPink = 97,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightSalmon = 98,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightSeaGreen = 99,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightSkyBlue = 100,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightSlateGray = 101,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightSteelBlue = 102,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LightYellow = 103,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Lime = 104,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_LimeGreen = 105,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Linen = 106,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Magenta = 107,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Maroon = 108,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumAquamarine = 109,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumBlue = 110,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumOrchid = 111,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumPurple = 112,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumSeaGreen = 113,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumSlateBlue = 114,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumSpringGreen = 115,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumTurquoise = 116,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MediumVioletRed = 117,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MidnightBlue = 118,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MintCream = 119,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_MistyRose = 120,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Moccasin = 121,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_NavajoWhite = 122,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Navy = 123,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_OldLace = 124,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Olive = 125,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_OliveDrab = 126,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Orange = 127,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_OrangeRed = 128,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Orchid = 129,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PaleGoldenrod = 130,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PaleGreen = 131,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PaleTurquoise = 132,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PaleVioletRed = 133,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PapayaWhip = 134,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PeachPuff = 135,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Peru = 136,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Pink = 137,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Plum = 138,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_PowderBlue = 139,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Purple = 140,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Red = 141,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_RosyBrown = 142,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_RoyalBlue = 143,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SaddleBrown = 144,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Salmon = 145,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SandyBrown = 146,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SeaGreen = 147,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SeaShell = 148,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Sienna = 149,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Silver = 150,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SkyBlue = 151,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SlateBlue = 152,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SlateGray = 153,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Snow = 154,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SpringGreen = 155,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_SteelBlue = 156,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Tan = 157,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Teal = 158,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Thistle = 159,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Tomato = 160,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Turquoise = 161,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Violet = 162,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Wheat = 163,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_White = 164,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_WhiteSmoke = 165,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_Yellow = 166,
					//
					// Summary:
					//     A system-defined color->
					KnownColor_YellowGreen = 167,
					//
					// Summary:
					//     The system-defined face color of a 3-D element->
					KnownColor_ButtonFace = 168,
					//
					// Summary:
					//     The system-defined color that is the highlight color of a 3-D element-> This
					//     color is applied to parts of a 3-D element that face the light source->
					KnownColor_ButtonHighlight = 169,
					//
					// Summary:
					//     The system-defined color that is the shadow color of a 3-D element-> This
					//     color is applied to parts of a 3-D element that face away from the light
					//     source->
					KnownColor_ButtonShadow = 170,
					//
					// Summary:
					//     The system-defined color of the lightest color in the color gradient of an
					//     active window's title bar->
					KnownColor_GradientActiveCaption = 171,
					//
					// Summary:
					//     The system-defined color of the lightest color in the color gradient of an
					//     inactive window's title bar->
					KnownColor_GradientInactiveCaption = 172,
					//
					// Summary:
					//     The system-defined color of the background of a menu bar->
					KnownColor_MenuBar = 173,
					//
					// Summary:
					//     The system-defined color used to highlight menu items when the menu appears
					//     as a flat menu->
					KnownColor_MenuHighlight = 174,
				};
			}
		}
	}
}
#endif//_SYSTEM_DRAWING_KNOWNCOLOR_H_